Summary: Gnapster is a powerful napster client written for GTK+ and GNOME.
Name: gnapster
Version: 1.5.0
Release: fr1
Copyright: GPL
Group: Applications/Communications
Source: http://jasta.gotlinux.org/files/%{name}-%{version}.tar.bz2
URL: http://jasta.gotlinux.org/gnapster.html
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk+ >= 1.2.0, gnome-libs >= 1.0.0, ORBit >= 0.4.0

%description
Gnapster is a small but powerful client for the napster protocol, 
written for GTK and GNOME. If you would like to contribute, 
please contact jasta <jasta@gotlinux.org>.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

mkdir -p %{buildroot}%{_datadir}/gnome/apps/Internet
cat > %{buildroot}%{_datadir}/gnome/apps/Internet/gnapster.desktop << EOF
[Desktop Entry]
Name=Gnapster
Name[fr]=Gnapster
Comment=Napster client
Comment[fr]=Client Napster
Exec=gnapster
Icon=gnapster.png
Terminal=0
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/gnapster
%{_datadir}/gnapster
%{_datadir}/pixmaps/gnapster.png
#%{_datadir}/locale/*/LC_MESSAGES/gnapster.mo
%{_datadir}/gnome/apps/Internet/gnapster.desktop

%changelog
* Tue Jun  5 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 1.5.0.
- The locale support seems to be broken :-/

* Thu Apr 26 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup and rebuilt for Red Hat 7.1.

* Fri Jan 14 2000 Joaquim Fellmann <joaquim@hrnet.fr>
- made the gnome archive from the standalone sources

